For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Fork this repoGet a demo
  • Get Started
    • Welcome
    • Concepts
    • SDKs
  • API Reference
      • GETLogs user into the system
      • GETLogs out current logged-in user session
      • GETGet user by username
LogoLogo
Fork this repoGet a demo
API Referenceuser

Logs user into the system

GET
https://api.plantstore.dev/v3/user/auth/login
GET
/v3/user/auth/login
$curl https://api.plantstore.dev/v3/user/auth/login
200Retrieved
1{
2 "token": "abc123token",
3 "expiresIn": 3600
4}
Was this page helpful?
Previous

Logs out current logged-in user session

Next
Built with

Query parameters

usernamestringOptional
The username for login
passwordstringOptional
The password for login

Response

Successful login
tokenstring
Authentication token
expiresIninteger
Token expiration time in seconds